org.apache.ignite.internal.processors.cache

## Class GridCacheProjectionImpl.FullFilter<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheProjectionImpl.FullFilter<K,V>

Type Parameters:
  `K` - Key type.
  `V` - Value type.

All Implemented Interfaces:
  Serializable, IgnitePredicate<javax.cache.Cache.Entry<K,V>>

Enclosing class:
  GridCacheProjectionImpl<K,V>

    public static class GridCacheProjectionImpl.FullFilter<K,V>
    extends Object
    implements IgnitePredicate<javax.cache.Cache.Entry<K,V>>

See Also:
  Serialized Form

### Method Summary

Methods
`boolean` `apply(javax.cache.Cache.Entry<K,V> e)` Predicate body.
`IgnitePredicate<? super javax.cache.Cache.Entry<K,V>>` `entryFilter()`
`GridCacheProjectionImpl.KeyValueFilter<K,V>` `keyValueFilter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### keyValueFilter

    public GridCacheProjectionImpl.KeyValueFilter<K,V> keyValueFilter()

Returns:
  Key-value filter.

#### entryFilter

    public IgnitePredicate<? super javax.cache.Cache.Entry<K,V>> entryFilter()

Returns:
  Entry filter.

#### apply

    public boolean apply(javax.cache.Cache.Entry<K,V> e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<javax.cache.Cache.Entry<K,V>>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015